# Update Endpoint - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-update-endpoint

# Update Endpoint

PUT

/

gpus

/

v2

/

endpoints

/

{endpoint_id}

Try it

Update Endpoint

cURL

```
curl --request PUT \
--url https://api.novita.ai/gpus/v2/endpoints/{endpoint_id} \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"name": "example-endpoint-updated",
"product_id": "product-id",
"policy": {
"type": "queue",
"value": 200
},
"image": "registry.example.com/namespace/image:new-tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "cargo build",
"health_check": {
"path": "/healthz",
"port": 8080
},
"envs": [
{
"key": "ENV_NAME",
"value": "NEW_VALUE"
}
],
"ports": [
8080
],
"volumes": [
{
"id": "storage-id",
"type": "network",
"size": 123,
"mount_point": "/data"
}
],
"region_id": "region-id"
}
'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}"payload = { "name": "example-endpoint-updated", "product_id": "product-id", "policy": { "type": "queue", "value": 200 }, "image": "registry.example.com/namespace/image:new-tag", "registry_auth_id": "registry-auth-id", "entrypoint": "", "command": "cargo build", "health_check": { "path": "/healthz", "port": 8080 }, "envs": [ { "key": "ENV_NAME", "value": "NEW_VALUE" } ], "ports": [8080], "volumes": [ { "id": "storage-id", "type": "network", "size": 123, "mount_point": "/data" } ], "region_id": "region-id"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.put(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'PUT', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ name: 'example-endpoint-updated', product_id: 'product-id', policy: {type: 'queue', value: 200}, image: 'registry.example.com/namespace/image:new-tag', registry_auth_id: 'registry-auth-id', entrypoint: '', command: 'cargo build', health_check: {path: '/healthz', port: 8080}, envs: [{key: 'ENV_NAME', value: 'NEW_VALUE'}], ports: [8080], volumes: [{id: 'storage-id', type: 'network', size: 123, mount_point: '/data'}], region_id: 'region-id' })};fetch('https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PUT", CURLOPT_POSTFIELDS => json_encode([ 'name' => 'example-endpoint-updated', 'product_id' => 'product-id', 'policy' => [ 'type' => 'queue', 'value' => 200 ], 'image' => 'registry.example.com/namespace/image:new-tag', 'registry_auth_id' => 'registry-auth-id', 'entrypoint' => '', 'command' => 'cargo build', 'health_check' => [ 'path' => '/healthz', 'port' => 8080 ], 'envs' => [ [ 'key' => 'ENV_NAME', 'value' => 'NEW_VALUE' ] ], 'ports' => [ 8080 ], 'volumes' => [ [ 'id' => 'storage-id', 'type' => 'network', 'size' => 123, 'mount_point' => '/data' ] ], 'region_id' => 'region-id' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}"	payload := strings.NewReader("{\n \"name\": \"example-endpoint-updated\",\n \"product_id\": \"product-id\",\n \"policy\": {\n \"type\": \"queue\",\n \"value\": 200\n },\n \"image\": \"registry.example.com/namespace/image:new-tag\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"cargo build\",\n \"health_check\": {\n \"path\": \"/healthz\",\n \"port\": 8080\n },\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"NEW_VALUE\"\n }\n ],\n \"ports\": [\n 8080\n ],\n \"volumes\": [\n {\n \"id\": \"storage-id\",\n \"type\": \"network\",\n \"size\": 123,\n \"mount_point\": \"/data\"\n }\n ],\n \"region_id\": \"region-id\"\n}")	req, _ := http.NewRequest("PUT", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.put("https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"name\": \"example-endpoint-updated\",\n \"product_id\": \"product-id\",\n \"policy\": {\n \"type\": \"queue\",\n \"value\": 200\n },\n \"image\": \"registry.example.com/namespace/image:new-tag\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"cargo build\",\n \"health_check\": {\n \"path\": \"/healthz\",\n \"port\": 8080\n },\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"NEW_VALUE\"\n }\n ],\n \"ports\": [\n 8080\n ],\n \"volumes\": [\n {\n \"id\": \"storage-id\",\n \"type\": \"network\",\n \"size\": 123,\n \"mount_point\": \"/data\"\n }\n ],\n \"region_id\": \"region-id\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Put.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"name\": \"example-endpoint-updated\",\n \"product_id\": \"product-id\",\n \"policy\": {\n \"type\": \"queue\",\n \"value\": 200\n },\n \"image\": \"registry.example.com/namespace/image:new-tag\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"cargo build\",\n \"health_check\": {\n \"path\": \"/healthz\",\n \"port\": 8080\n },\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"NEW_VALUE\"\n }\n ],\n \"ports\": [\n 8080\n ],\n \"volumes\": [\n {\n \"id\": \"storage-id\",\n \"type\": \"network\",\n \"size\": 123,\n \"mount_point\": \"/data\"\n }\n ],\n \"region_id\": \"region-id\"\n}"response = http.request(request)puts response.read_body
```

200

```
{}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Path Parameters

[​](#parameter-endpoint-id)

endpoint_id

string

required

Endpoint ID. String, length: 1-255 characters.

#### Body

application/json

[​](#body-name)

name

string

Endpoint name.

Example:

`"example-endpoint-updated"`

[​](#body-product-id)

product_id

string

Serverless product ID. String, length: 1-255 characters.

Example:

`"product-id"`

[​](#body-worker-config)

worker_config

object

Worker configuration.

Show child attributes

[​](#body-policy)

policy

object

Scheduling / request policy.

Show child attributes

[​](#body-image)

image

string

Image address. String, length: 0-500 characters.

Example:

`"registry.example.com/namespace/image:new-tag"`

[​](#body-registry-auth-id)

registry_auth_id

string

Saved registry authentication ID. String, length: 0-255 characters.

Example:

`"registry-auth-id"`

[​](#body-entrypoint)

entrypoint

string

Container entrypoint.

Example:

`""`

[​](#body-command)

command

string

Startup command.

Example:

`"cargo build"`

[​](#body-health-check)

health_check

object

Health check configuration.

Show child attributes

[​](#body-envs)

envs

object[]

Environment variable list.

Show child attributes

[​](#body-ports)

ports

integer[]

Port list. Each value in range: [1, 65535].

Example:

```
[8080]
```

[​](#body-volumes)

volumes

object[]

Mount list.

Show child attributes

[​](#body-region-id)

region_id

string

Region ID.

Example:

`"region-id"`

#### Response

200 - application/json

OK

The response is of type `object`.

Last modified on June 26, 2026
